%define pypi_name ipyparallel

Name:           ipyparallel
Version:        6.2.5
Release:        %mkrel 1
Group:          Development/Python
Summary:        Interactive Parallel Computing with IPython (tools)

License:        BSD
URL:            http://ipython.org/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pyzmq)
BuildRequires:  python3dist(traitlets)
BuildRequires:  python3dist(ipython-genutils)
BuildRequires:  python3dist(decorator)
BuildRequires:  python3dist(jupyter-client)
BuildRequires:  python3dist(ipykernel)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(pexpect)
BuildRequires:  python3dist(pickleshare)
BuildRequires:  python3dist(prompt-toolkit)
BuildRequires:  python3dist(simplegeneric)
BuildRequires:  python3dist(backcall)

Requires:       python3-%{name} = %{version}-%{release}
Recommends:     %{name}-doc

%description
Use multiple instances of IPython in parallel, interactively.

This package installs the ipyparallel tools.

%package -n     python3-%{name}
Group:          Development/Python
Summary:        Interactive Parallel Computing with IPython (Python 3)
Recommends:     python3dist(mpi4py)

%description -n python3-%{name}
Use multiple instances of IPython in parallel, interactively.

This package installs the library for Python 3.

%package doc
Summary:       Interactive Parallel Computing with IPython documentation
Group:         Development/Python

%description doc
Use multiple instances of IPython in parallel, interactively.

This package contains examples of usage.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

%build
%py3_build

pushd docs
PYTHONPATH=.. make html man SPHINXBUILD=sphinx-build-3
rm -f build/html/.buildinfo
popd

%install
%py3_install

# Install man page
install -Dpm644 ./docs/build/man/ipythonparallel.1 %{buildroot}%{_mandir}/man1/ipythonparallel.1

# Fix wrong install directory for configuraton files
mv %{buildroot}%{_prefix}%{_sysconfdir} %{buildroot}%{_sysconfdir}

%files
%{_bindir}/ipcluster
%{_bindir}/ipcontroller
%{_bindir}/ipengine

%files doc
%doc examples
%doc docs/build/html

%files -n python3-%{name}
%license COPYING.md
%{_mandir}/man1/*
%{python3_sitelib}/
%{_datadir}/jupyter/nbextensions/ipyparallel/
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_notebook_config.d/ipyparallel-serverextension.json
%config(noreplace) %{_sysconfdir}/jupyter/nbconfig/tree.d/ipyparallel-nbextension.json


%changelog
* Thu Apr 30 2020 joequant <joequant> 6.2.5-1.mga8
+ Revision: 1573512
- update to 6.2.5

* Tue Feb 18 2020 umeabot <umeabot> 6.2.4-2.mga8
+ Revision: 1538574
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 6.2.4-1.mga8
+ Revision: 1462326
- new version: 6.2.4

* Thu Sep 19 2019 daviddavid <daviddavid> 6.2.3-2.mga8
+ Revision: 1443760
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 6.2.3-1.mga7
+ Revision: 1351149
- new version 6.2.3

* Thu Sep 20 2018 umeabot <umeabot> 6.0.2-2.mga7
+ Revision: 1278879
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 6.0.2-1.mga7
+ Revision: 1139031
- update to 6.0.2, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 5.0.1-3.mga7
+ Revision: 1135228
- Rebuild for python 3.6

* Wed Apr 20 2016 philippem <philippem> 5.0.1-2.mga6
+ Revision: 1003866
- remove pythonegg(3)(futures) from requires
- remove no need ls

* Wed Apr 20 2016 philippem <philippem> 5.0.1-1.mga6
+ Revision: 1003750
- imported package ipyparallel

